! insolation.f90
! Insolation term (dependence on time and distance).
! Miroslav Broz (miroslav.broz@email.cz), Aug 6th 2007

module insolation_module

contains

double precision function insolation(S_r, n_Sun, n_normal)

! S_r [W/m^2]   ... solar flux (@ distance r)
! n_Sun []      ... solar unitvector
! n_normal []   ... surface normal unitvector

use const

implicit none

double precision :: S_r,n_Sun(3),n_normal(3)
double precision :: cosa

cosa = dot_product(n_normal, n_Sun)
if (cosa.gt.0.d0) then
  Insolation = S_r * cosa
else
  Insolation = 0.d0
endif

return

end function insolation

end module insolation_module


